# Hata Kodları

Servislerin genel hata yapısı ve dönebilecek hata grupları aşağıdaki gibidir.

### Hata Grupları&#x20;

<table data-full-width="false"><thead><tr><th>Hata Grubu</th><th>Açıklama</th></tr></thead><tbody><tr><td><code>TIMEOUT_ERROR</code></td><td>Cihazdan yanıt beklenirken, belirli bir zaman içerisinde dönmez ise zamanaşımı olur ve bu hata grubu döner.</td></tr><tr><td><code>SYSTEM_ERROR</code></td><td><p>Cihazdan yanıt beklenirken sistemsel bir hata olursa, gönderilen token bilgisinde bir problem varsa, sistemde anlık bir problem varsa veya beklenmeyen bir durum oluşmuş ise</p><p>bu hata grubu döner.</p></td></tr><tr><td><code>BANK_ERROR</code></td><td>İşlem banka tarafında hata alırsa (authCode 00 haricinde) bu hata grubu döner.</td></tr><tr><td><code>DEVICE_ERROR</code></td><td>Cihazdan hata döner ise bu hata grubu dönülür.</td></tr><tr><td><code>PAYMENT_ERROR</code></td><td>iyzico Payment servislerinden bir hata alınırsa bu hata grubu döner.</td></tr><tr><td><code>BUSINESS_ERROR</code></td><td>İş mantığı açısından olmaması gereken bir durum yaşanmış ise bu hata grubu döner.</td></tr><tr><td><code>VALIDATION_ERROR</code></td><td>Gönderilen requestte bir problem var ise bu hata grubu döner.</td></tr></tbody></table>

### Hata Mesajları

<table data-full-width="false"><thead><tr><th width="199.796875">Hata Grubu</th><th width="140.98046875">Hata Kodu</th><th>Hata Mesajı </th></tr></thead><tbody><tr><td><code>TIMEOUT_ERROR</code></td><td>380103</td><td><pre><code>EN:
Timeout occurred while waiting for device response!

TR:
Cihaz yanıtı beklenirken zaman aşımı oluştu! </code></pre><p></p></td></tr><tr><td><code>BANK\_ERROR</code></td><td></td><td>Bankadan dönen hata mesajı iletilmektedir.</td></tr><tr><td><code>PAYMENT\_ERROR</code></td><td></td><td>Payment servisinden alınan hata mesajı iletilmektedir.</td></tr></tbody></table>

### "System Error" Hata Mesajları

<table><thead><tr><th>Hata Grubu</th><th>Hata Kodu</th><th>Hata Mesajı</th></tr></thead><tbody><tr><td><code>SYSTEM_ERROR</code></td><td>100310</td><td><pre><code>EN:
Invalid token!

TR:
Geçersiz token! </code></pre></td></tr><tr><td><code>SYSTEM\_ERROR</code></td><td>100311</td><td><pre><code>EN:
Access token expired!

TR:
Token kullanım süresi dolmuştur! </code></pre></td></tr><tr><td><code>SYSTEM\_ERROR</code></td><td>380102</td><td><pre><code><strong>EN: </strong><strong>You do not have access to the information of this auth device! </strong><strong> </strong><strong>TR: </strong>Auth device bilgisine erişim hakkı yoktur! </code></pre></td></tr></tbody></table>

### "Device Error" Hata Mesajları

<table><thead><tr><th>Hata Grubu</th><th>Hata Kodu</th><th>Hata Mesajı</th></tr></thead><tbody><tr><td><code>DEVICE_ERROR</code></td><td>380201</td><td><pre><code>EN:
Terminal is currently busy, please wait for the previous operation to complete

TR:
Terminal şu anda meşgul bir önceki işlemin bitmesini bekleyin </code></pre></td></tr><tr><td><code>DEVICE\_ERROR</code></td><td>380202</td><td><pre><code>EN:
Techpos application could not be started. Please try again.

TR:
Techpos uygulaması başlatılamadı. Lütfen tekrar deneyin. </code></pre></td></tr><tr><td><code>DEVICE\_ERROR</code></td><td>380203</td><td><pre><code>EN:
Null response received from Techpos application

TR:
Techpos uygulamasından boş (null) yanıt alındı </code></pre></td></tr><tr><td><code>DEVICE\_ERROR</code></td><td>380204</td><td><pre><code>EN:
Error occurred during refresh token and user session has been terminated

TR:
Refresh token sırasında hata oluştu ve kullanıcı oturumu sonlandırıldı

</code></pre></td></tr><tr><td><code>DEVICE\_ERROR</code></td><td>380205</td><td><pre><code>EN:
Response message to be sent from device could not be created

TR:
Cihazdan gönderilecek yanıt mesajı oluşturulamadı </code></pre></td></tr></tbody></table>

### Validasyon Hata Mesajları

<table><thead><tr><th>Hata Grubu</th><th>Hata Kodu</th><th>Hata Mesajı</th></tr></thead><tbody><tr><td><code>VALIDATION_ERROR</code></td><td>380104</td><td><pre class="language-json"><code class="lang-json">EN:
Device request validation error! Details: {0}
TR:
Request doğrulama hatası! Detaylar: {0}
</code></pre></td></tr><tr><td><code>VALIDATION_ERROR</code></td><td>380105</td><td><pre class="language-json"><code class="lang-json"><strong>EN:
</strong>Operation {0} is not supported for device modal: {1}
TR:{0} işlemi {1} model cihazda desteklenmemektedir

</code></pre></td></tr><tr><td><code>VALIDATION\_ERROR</code></td><td>380111</td><td><pre class="language-json"><code class="lang-json">EN:
Either transactionReferenceId or paymentId must be provided.
TR:
TransactionReferenceId veya PaymentId sağlanmalıdır. </code></pre></td></tr></tbody></table>

### "Business Error" Hata Mesajları

<table><thead><tr><th>Hata Grubu</th><th>Hata Kodu</th><th>Hata Mesajı</th></tr></thead><tbody><tr><td><code>BUSINESS_ERROR</code></td><td>380101</td><td><pre><code><strong>En:
</strong><strong>Auth Device not found! For username: {0}
</strong><strong>
</strong>
TR:
Auth Device bulunamadı! username: {0}
</code></pre></td></tr><tr><td><code>BUSINESS_ERROR</code></td><td>380107</td><td><pre><code><strong>En:
</strong><strong>Payment not found with paymentId: {0}
</strong>
TR:
Ödeme bulunamadı paymentId: {0}
</code></pre></td></tr><tr><td><code>BUSINESS_ERROR</code></td><td>380108</td><td><pre><code><strong>En:
</strong>Payment not found with id: {0}

TR:
Ödeme bulunamadı id: {0} </code></pre></td></tr><tr><td><code>BUSINESS\_ERROR</code></td><td>380109</td><td><pre><code><strong>En: </strong>Payment not found with orderId: {0}

TR:
Ödeme bulunamadı orderId: {0} </code></pre></td></tr><tr><td><code>BUSINESS\_ERROR</code></td><td>380112</td><td><pre><code><strong>En: </strong>The amount you want to cancel/refund is not available in your account. Please check your balance information.

TR:
İptal/iade yapmak istediğiniz tutar hesabınızda yoktur. Lütfen bakiye bilgilerinizi kontrol ediniz. </code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/fiziksel-pos/terminal-api-entegrasyonu/hata-kodlari.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
